{{log "ITEM: actions-block-list.hbs" this}}
<div class="action-block">
    <div class="actions">
        <li class="general-header flexrow">
            <div class="item-header flex-text-center">{{ localize "ARS.actions.actionsTitle" }}
                {{!-- <a class="item-control action-controls action-create" data-tooltip="{{ localize "ARS.actions.create" }}" data-action="create"><i class="fas fa-plus"></i></a> --}}
                {{!-- v2 actions test --}}
                <a class="action-group-controlsV2" data-tooltip="{{ localize "ARS.actions.create-group" }}"
                    data-action="create"><i class="fas fa-plus"></i></a>
            </div>
        </li>
        {{!-- {{> "systems/ars/templates/apps/parts/actions-block.hbs" actor=item.actor actions=system.actions actionList=item.system.actionList }} --}}
        {{#if item.actionGroups.size}}
            {{#each (mapToArray item.actionGroups) as |actionGroup|}}
                {{> "systems/ars/templates/apps/parts/actions-blockV2.hbs" actor=item.actor actionGroup=actionGroup}}
            {{/each}}
        {{else}}
            <div class="actionGroup-move-control" style="text-align: center; font-style: italic;">
                <i>{{localize 'ARS.drophere'}}</i>
            </div>
        {{/if}}
    </div>
</div>